#!/bin/sh

echo

if ! egrep -q '^squid:' $ROOT/etc/group; then
   echo "Agregando grupo squid"
   groupadd -g 51 squid
fi

if ! egrep -q '^squid:' $ROOT/etc/passwd; then
   echo "Agregando usuario squid"
   useradd -s /bin/false -d /dev/null -g squid -u 51 squid
fi

echo
for i in $ROOT/var/log/squid $ROOT/var/db/squidGuard; do
   echo "Poniendo permisos a $i: squid.squid"
   chown -R squid.squid $i
done

